Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024026
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-06-07 13:342013-06-20 10:40
ReporteradrianromeroView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024026: There is no preference to prevent customers to be edited or created

DescriptionThere must be a preference to restrict/allow a Web POS user to create or edit customers

This preference must be different to the preference "Web POS action Edit customers" This preference must restrict/allow access to the "Advanced customer search" window.

But the preference needed described in this report must restrict/allow only the actions of creating a new customer or editing a new customer.
Steps To ReproduceIn description.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024025RMP24 closedguilleaer The preference "Web POS action Edit customers" Only disables the Customers menu 

-  Notes
(0059293)
hgbot (developer)
2013-06-10 12:39

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: a20d6b30d57ce56fb98a202e3695f74f3088f6a5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jun 07 17:55:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/a20d6b30d57ce56fb98a202e3695f74f3088f6a5 [^]

related to issue 24026 - disable button using css rules

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0059300)
guilleaer (developer)
2013-06-10 15:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3641978dde1d90f5dd3353ce4715c58e699a22c1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jun 07 17:56:07 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3641978dde1d90f5dd3353ce4715c58e699a22c1 [^] [^]

fixed issue 24024 and 24025: preferences to block acces to customer window and to allow to edit customers are working fine

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/businesspartner.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customersadvancedsearch.js
---
(0059352)
hgbot (developer)
2013-06-11 13:29

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: a20d6b30d57ce56fb98a202e3695f74f3088f6a5
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jun 07 17:55:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/a20d6b30d57ce56fb98a202e3695f74f3088f6a5 [^]

related to issue 24026 - disable button using css rules

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---

- Issue History
Date Modified Username Field Change
2013-06-07 13:34 adrianromero New Issue
2013-06-07 13:34 adrianromero Assigned To => guilleaer
2013-06-07 13:35 adrianromero Relationship added related to 0024025
2013-06-10 12:39 hgbot Checkin
2013-06-10 12:39 hgbot Note Added: 0059293
2013-06-10 15:29 guilleaer Status new => scheduled
2013-06-10 15:29 guilleaer fix_in_branch => pi
2013-06-10 15:30 guilleaer Note Added: 0059300
2013-06-10 15:30 guilleaer Status scheduled => resolved
2013-06-10 15:30 guilleaer Fixed in Version => RMP24
2013-06-10 15:30 guilleaer Resolution open => fixed
2013-06-11 13:29 hgbot Checkin
2013-06-11 13:29 hgbot Note Added: 0059352
2013-06-20 10:40 marvintm Review Assigned To => marvintm
2013-06-20 10:40 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker